# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

CRATES="
base64-0.9.2
byteorder-1.2.3
futures-0.1.21
safemem-0.2.0
clap-2.31.2
bitflags-1.0.3
bitflags-0.9.1
textwrap-0.9.0
lipsum-0.5.0
rand-0.5.0
rand-0.4.2
rand-0.3.22
rand_core-0.2.0
serde-1.0.64
serde_derive-1.0.65
serde_test-1.0.65
proc-macro2-0.4.4
unicode-xid-0.1.0
quote-0.6.3
syn-0.14.1
bincode-1.0.0
hyphenation-0.6.1
fnv-1.0.6
hyphenation_commons-0.6.1
pocket-resources-0.3.2
unicode-normalization-0.1.7
unicode-segmentation-1.2.1
quickcheck-0.6.2
log-0.4.1
log-0.3.9
cfg-if-0.1.3
env_logger-0.5.10
humantime-1.1.1
quick-error-1.2.2
termcolor-0.3.6
regex-1.0.0
aho-corasick-0.6.4
memchr-2.0.1
libc-0.2.42
regex-syntax-0.6.0
ucd-util-0.1.1
thread_local-0.3.5
unreachable-1.0.0
void-1.0.2
utf8-ranges-1.0.0
unicode-width-0.1.5
ansi_term-0.11.0
atty-0.2.10
termion-1.5.1
redox_syscall-0.1.40
redox_termios-0.1.1
strsim-0.7.0
term_size-0.3.1
vec_map-0.8.1
yaml-rust-0.4.0
linked-hash-map-0.5.1
heapsize-0.4.2
lazy_static-1.0.1
spin-0.4.8
version-sync-0.5.0
itertools-0.7.8
either-1.5.0
pulldown-cmark-0.1.2
getopts-0.2.17
semver-parser-0.7.0
toml-0.4.6
url-1.7.0
idna-0.1.4
unicode-bidi-0.3.4
flame-0.2.2
thread-id-3.3.0
serde_json-1.0.19
dtoa-0.4.2
itoa-0.4.1
flamer-0.2.2
matches-0.1.6
percent-encoding-1.0.1
futures-0.2.1
futures-async-runtime-0.2.1
futures-channel-0.2.1
futures-core-0.2.1
futures-executor-0.2.1
num_cpus-1.8.0
futures-io-0.2.1
futures-sink-0.2.1
futures-stable-0.2.1
futures-util-0.2.1
futures-macro-async-0.2.1
futures-macro-await-0.2.1
hyper-0.11.27
relay-0.1.1
mime-0.3.7
unicase-2.1.0
version_check-0.1.3
language-tags-0.2.2
bytes-0.4.8
h2-0.1.9
indexmap-1.0.1
slab-0.4.0
slab-0.3.0
string-0.1.0
http-0.1.5
httparse-1.2.4
iovec-0.1.2
time-0.1.40
want-0.0.4
try-lock-0.1.0
futures-cpupool-0.1.8
net2-0.2.32
tokio-0.1.6
tokio-core-0.1.17
tokio-proto-0.1.1
tokio-service-0.1.0
scoped-tls-0.1.2
smallvec-0.6.1
smallvec-0.2.1
take-0.1.0
mio-0.6.14
fuchsia-zircon-0.3.3
fuchsia-zircon-sys-0.3.3
lazycell-0.6.0
miow-0.3.1
miow-0.2.1
socket2-0.3.6
tokio-io-0.1.6
tokio-fs-0.1.0
tokio-timer-0.1.2
tokio-timer-0.2.3
tokio-threadpool-0.1.3
crossbeam-deque-0.3.1
crossbeam-epoch-0.4.1
crossbeam-utils-0.4.0
crossbeam-utils-0.3.2
arrayvec-0.4.7
nodrop-0.1.12
nodrop-union-0.1.9
memoffset-0.2.1
scopeguard-0.3.3
tokio-tcp-0.1.0
futures2-0.1.0
tokio-udp-0.1.0
tokio-reactor-0.1.1
tokio-executor-0.1.2
clippy-0.0.206
clippy_lints-0.0.206
cargo_metadata-0.5.5
error-chain-0.11.0
backtrace-0.3.8
backtrace-sys-0.1.23
cc-1.0.7
rustc-demangle-0.1.8
if_chain-0.1.2
quine-mc_cluskey-0.2.4
quickcheck-0.6.2
regex-syntax-0.6.0
rustc_version-0.2.2
semver-0.9.0
kernel32-sys-0.2.2
winapi-0.2.8
winapi-0.3.4
winapi-i686-pc-windows-gnu-0.4.0
winapi-x86_64-pc-windows-gnu-0.4.0
winapi-build-0.1.1
ws2_32-sys-0.2.1
"

inherit cargo

DESCRIPTION="A DNS-over-HTTP server proxy"
HOMEPAGE="https://github.com/jedisct1/rust-doh"
SRC_URI="https://github.com/jedisct1/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
	$(cargo_crate_uris ${CRATES})
	"

SLOT="0"
LICENSE="GPL-3"
KEYWORDS="~amd64 ~x86"

RDEPEND="dev-libs/openssl:*"
DEPEND="${RDEPEND}
		virtual/rust"

src_test() {
	debug-print-function ${FUNCNAME} "$0"

	export CARGO_HOME="${ECARGO_HOME}"

	cargo test --release || die "Tests failed"
}

src_install() {
	cargo_src_install || die "Installation failed"

#	einstalldocs
#	doman ${PN}.1
}
